LoginConfig (Apache Tomcat 11.0.8 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: LoginConfig

# Class LoginConfig

java.lang.Object
org.apache.tomcat.util.descriptor.web.XmlEncodingBase
org.apache.tomcat.util.descriptor.web.LoginConfig

All Implemented Interfaces:
  `Serializable`

public class LoginConfig extends XmlEncodingBase implements Serializable
Representation of a login configuration element for a web application, as represented in a `<login-config>` element in the deployment descriptor.

Author:
  Craig R. McClanahan
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginConfig()`
  Construct a new LoginConfig with default properties.
  `LoginConfig(String authMethod, String realmName, String loginPage, String errorPage)`
  Construct a new LoginConfig with the specified properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getAuthMethod()`
  `String`
  `getErrorPage()`
  `String`
  `getLoginPage()`
  `String`
  `getRealmName()`
  `int`
  `hashCode()`
  `void`
  `setAuthMethod(String authMethod)`
  `void`
  `setErrorPage(String errorPage)`
  `void`
  `setLoginPage(String loginPage)`
  `void`
  `setRealmName(String realmName)`
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class org.apache.tomcat.util.descriptor.web.XmlEncodingBase

  `getCharset, setCharset`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoginConfig

    public LoginConfig()
    Construct a new LoginConfig with default properties.

  - ### LoginConfig

    public LoginConfig(String authMethod, String realmName, String loginPage, String errorPage)
    Construct a new LoginConfig with the specified properties.
    Parameters:
      `authMethod` - The authentication method
      `realmName` - The realm name
      `loginPage` - The login page URI
      `errorPage` - The error page URI

- ## Method Details

  - ### getAuthMethod

    public String getAuthMethod()

  - ### setAuthMethod

    public void setAuthMethod(String authMethod)

  - ### getErrorPage

    public String getErrorPage()

  - ### setErrorPage

    public void setErrorPage(String errorPage)

  - ### getLoginPage

    public String getLoginPage()

  - ### setLoginPage

    public void setLoginPage(String loginPage)

  - ### getRealmName

    public String getRealmName()

  - ### setRealmName

    public void setRealmName(String realmName)

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`